Subject: Key binding breaks in 2.5.7

From: Kingsly John <[email-masked]>
Date: Sun, 8 Jun 2003 07:15:02 +0530

I have the following line in my config which used to work fine until I
upgraded to 2.5.7

Key -XF86Standby A N Exec /usr/X11R6/bin/xset dpms force off

The name of the key appears correctly in "xev" but FVWM doesn't seem to
notice the key-press at all.(I ran FvwmDebug and tried pressing the key)

I couldn't find anything in the NEWS/man page to suggest something has changed.

Kingsly
-- 
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Sun, 8 Jun 2003 02:05:14 +0000

> notice the key-press at all.(I ran FvwmDebug and tried pressing the key)

FYI, FvwmDebug is for module communication debugging, not key bindings.
Modules know nothing about key bindings that are handled by fvwm.

> I couldn't find anything in the NEWS/man page to suggest something has

The key release binding functionality was removed on 2003-03-09,
because it does not work relably.

Instead of adding the 2.5.7 item, the corresponding 2.5.5 item was
removed from NEWS.

I think we should start only to add NEWS, not remove them backwards,
because many users use 2.5.x now.

Regards,
Mikhael.

---

From: Dan Espen <[email-masked]>
Date: Sat, 07 Jun 2003 22:21:21 -0400

> because many users use 2.5.x now.

Dominik can defend himself, but his reasoning is that if you are
using the betas, you should be following the development process.
(If I remember right.)

That seems right to me.

-- 
Dan Espen                           E-mail: [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Sun, 8 Jun 2003 02:45:07 +0000

> using the betas, you should be following the development process.

It helps us to create 2.6.0 announcement if we remove backwards.
It helps users if we add news items. I think I prefer to add, but
if someone remove, it is ok to me.

Regards,
Mikhael.